org.apache.lucene.facet.taxonomy

## Class TaxonomyReader.ChildrenIterator

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.TaxonomyReader.ChildrenIterator

Enclosing class:
  TaxonomyReader

    public static class TaxonomyReader.ChildrenIterator
    extends Object

An iterator over a category's children.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `next()` Return the next child ordinal, or `TaxonomyReader.INVALID_ORDINAL` if no more children.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### next

    public int next()

Return the next child ordinal, or `TaxonomyReader.INVALID_ORDINAL` if no more children.